
#if !defined(__NativeInterpreterVm_h__)
#define __NativeInterpreterVm_h__

#include "nanojit.h"

namespace nanojit
{
namespace interpreter
{

void runInterpreter(IntepreterContext* a_pContext, const void* a_pStream, void* a_pFramePointer);

#if defined(NANOJIT_VERBOSE)
const char* getInterpreterOpcodeString(unsigned int op);
#endif

} // namespace interpreter
} // namespace nanojit


#endif // !defined(__NativeInterpreterVm_h__)
